﻿import langlib
import popuplib

lang_dir = "cstrike/addons/eventscripts/soccer_mod_2011/language/"

popup_common = langlib.Strings(lang_dir + "popup_common.ini")
popup_text = langlib.Strings(lang_dir + "info/popup_info_credits.ini")

# ******************** Load ********************
def load():
	create_popup()
	create_popup_translations()

# ******************** Create popup ********************
def create_popup():
	popup = popuplib.create("sm_popup_info_credits")

	popup.addline("SOCCER MOD %s" % (popup_text("title")))
	popup.addline(" ")
	popup.addline("%s:" % (popup_text("script")))
	popup.addline("- FCD | Cor Lems")
	popup.addline("- FCD | Marco Boogers")
	popup.addline(" ")
	popup.addline("%s:" % (popup_text("skins")))
	popup.addline("- FCD | Termi")
	popup.addline(" ")
	popup.addline("%s:" % (popup_text("ball_model")))
	popup.addline("- FCD | Marco Boogers")
	popup.addline(" ")
	popup.addline("->1. %s" % (popup_text("translations_select")))
	popup.addline(" ")
	popup.addline("->9. %s" % (popup_common("back")))
	popup.addline(" ")
	popup.addline("0. %s" % (popup_common("close")))

	popup.submenu(1, "sm_popup_info_credits_translations")

	for i in range(2, 9):
		popup.submenu(i, "sm_popup_info_credits")

	popup.submenu(9, "sm_popup_info")

def create_popup_translations():
	popup = popuplib.create("sm_popup_info_credits_translations")

	popup.addline("SOCCER MOD %s" % (popup_text("translations")))
	popup.addline(" ")
	popup.addline("%s:" % (popup_text("english")))
	popup.addline("- FCD | Marco Boogers")
	popup.addline(" ")
	popup.addline("%s:" % (popup_text("spanish")))
	popup.addline("- Apolo")
	popup.addline(" ")
	popup.addline("%s:" % (popup_text("portuguese")))
	popup.addline("- James BL00dField")
	popup.addline(" ")
	popup.addline("%s:" % (popup_text("russian")))
	popup.addline("- Sychev")
	popup.addline(" ")
	popup.addline("%s:" % (popup_text("german")))
	popup.addline("- FCD | Termi")
	popup.addline(" ")
	popup.addline("%s:" % (popup_text("french")))
	popup.addline("- K.M.O.D.")
	popup.addline(" ")
	popup.addline("%s:" % (popup_text("dutch")))
	popup.addline("- FCD | Marco Boogers")
	popup.addline("- FCD | Tanker")
	popup.addline(" ")
	popup.addline("->9. %s" % (popup_common("back")))
	popup.addline(" ")
	popup.addline("0. %s" % (popup_common("close")))

	for i in range(1, 9):
		popup.submenu(i, "sm_popup_info_credits_translations")

	popup.submenu(9, "sm_popup_info_credits")

# ******************** Unload ********************
def unload():
	popuplib.delete("sm_popup_info_credits")
	popuplib.delete("sm_popup_info_credits_translations")